Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTAttributeList

All Superinterfaces:
  `IASTAttributeList`, `IASTAttributeSpecifier`, `IASTNode`, `ICPPASTAttributeSpecifier`

    public interface ICPPASTAttributeList
    extends ICPPASTAttributeSpecifier, IASTAttributeList

Represents a C++11 (ISO/IEC 14882:2011 7.6.1 [dcl.attr.grammar]) attribute specifier of the form [[ attribute-list ]].

Since:
  6.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeSpecifier

`ATTRIBUTE, EMPTY_ATTRIBUTE_SPECIFIER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.parser.cpp.ICPPASTAttributeSpecifier

`TYPE_FILTER`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeList

`addAttribute, getAttributes`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.parser.cpp.ICPPASTAttributeSpecifier

`copy, copy`